apr-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 60179] New: Cannot compile with OpenSSL 1.1.0
Date Tue, 27 Sep 2016 09:27:48 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=60179

            Bug ID: 60179
           Summary: Cannot compile with OpenSSL 1.1.0
           Product: APR
           Version: HEAD
          Hardware: PC
                OS: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: APR-util
          Assignee: bugs@apr.apache.org
          Reporter: agiokov@gmail.com

When trying to compile with OpenSSL, the configure script returns the
following:

configure: checking for openssl in
/webdienste/webservers/apache/openssl.test-https/libs/openssl/1.1.0b
checking openssl/x509.h usability... yes
checking openssl/x509.h presence... yes
checking for openssl/x509.h... yes
checking for BN_init in -lcrypto... no
checking for openssl/x509.h... (cached) yes
checking for BN_init in -lcrypto... (cached) no
checking whether EVP_PKEY_CTX_new is declared... yes
configure: error: Crypto was requested but no crypto library could be enabled;
specify the location of a crypto library using --with-openssl, --with-nss, etc.
configure failed for srclib/apr-util

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@apr.apache.org
For additional commands, e-mail: bugs-help@apr.apache.org


Mime
View raw message